Package org.apache.sling.distribution.journal.queue

# Interface PubQueueProvider

All Superinterfaces:
  `AutoCloseable`, `Closeable`

@ParametersAreNonnullByDefault public interface PubQueueProvider extends Closeable

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxQueueSize(String pubAgentName)`
Get maximum size of all queues for a pubAgentName
`OffsetQueue<org.apache.sling.distribution.queue.DistributionQueueItem>`
`getOffsetQueue(String pubAgentName, long minOffset)`
`org.apache.sling.distribution.queue.spi.DistributionQueue`
`getQueue(String pubAgentName, String queueName)`
`PackageQueuedNotifier`
`getQueuedNotifier()`
`Set<String>`
`getQueueNames(String pubAgentName)`
Get queue names for alive subscribed subscriber agents.
`void`
`handleStatus(org.apache.sling.distribution.journal.MessageInfo info, org.apache.sling.distribution.journal.messages.PackageStatusMessage message)`

### Methods inherited from interface java.io.Closeable

`close`

## Method Details

### getQueue

@Nullable org.apache.sling.distribution.queue.spi.DistributionQueue getQueue(String pubAgentName, String queueName)

### getMaxQueueSize

int getMaxQueueSize(String pubAgentName)
Get maximum size of all queues for a pubAgentName

Parameters:
  `pubAgentName` - name of the pub agent
Returns:
  max size of all queues or 0 if there are none

### getOffsetQueue

@Nonnull OffsetQueue<org.apache.sling.distribution.queue.DistributionQueueItem> getOffsetQueue(String pubAgentName, long minOffset)

### handleStatus

void handleStatus(org.apache.sling.distribution.journal.MessageInfo info, org.apache.sling.distribution.journal.messages.PackageStatusMessage message)

### getQueueNames

Set<String> getQueueNames(String pubAgentName)
Get queue names for alive subscribed subscriber agents.

### getQueuedNotifier

@Nonnull PackageQueuedNotifier getQueuedNotifier()